#include <SevSeg.h>
SevSeg Display;
unsigned int number = 60;
int pressure;
const unsigned long period = 1000; //millisecond
unsigned long startMillis;
unsigned long currentMillis;
int pressurePin = A5;
int buzzerPin = A4;
int ledPin  = A3;

void setup() {
  pinMode(pressurePin, INPUT);
  pinMode(buzzerPin, OUTPUT);
  pinMode(ledPin, OUTPUT);
  byte numDigits = 2;
  byte digitPins[] = {8, 9}; // D1
  byte segmentPins[] {0, 1, 2, 3, 4, 5, 6, 7}; // A, B, C, D, E, F, G, DP
  byte hardwareConfig = COMMON_CATHODE;
  Display.begin(hardwareConfig, numDigits, digitPins, segmentPins);
  Display.setBrightness(100);
}

void loop() {
  pressure = analogRead(pressurePin);
  number = pressure / 10;
  if (number > 5 && number < 99) {
    tone(buzzerPin, pressure, 10);
  }
  if (number >= 99) {
    number = 99;
    analogWrite(ledPin, 255);
    music();
    analogWrite(ledPin, 0);
  }
  Display.setNumber(number);
  Display.refreshDisplay();
}

void music() {
  tone(buzzerPin, 146, 150);
  delay(250);
  tone(buzzerPin, 146, 150);
  delay(250);
  tone(buzzerPin, 293, 150);
  delay(500);
  tone(buzzerPin, 220, 150);
  delay(750);
  tone(buzzerPin, 207, 150);
  delay(500);
  tone(buzzerPin, 196, 150);
  delay(500);
  tone(buzzerPin, 174, 150);
  delay(500);
  tone(buzzerPin, 146, 150);
  delay(250);
  tone(buzzerPin, 174, 150);
  delay(250);
  tone(buzzerPin, 196, 150);
}
